# Get a DM Object (no count) Retrieves the object's (Data Feed, Data Source, Datamart) row level data and skips the count() query - it does not return a total number of rows in the entire table when the filter is applied, it returns just the total number of rows in the response. >Information: >Use this endpoint when you need a better performance when fetching large data sets and when you do not need to fetch a total number of items in the table. Usually used for integration purposes. Endpoint: POST /datamart.fetchnocount/{objectId} Security: basic, X-PriceFx-jwt ## Path parameters: - `objectId` (string, required) Use one of the following object identifiers: - typedUniquename – Format: "\.\" (e.g., DMDS.SalesTransactions) - typedId – Format: "\.\" (e.g., 123456.DMDS) - "*" (asterisk) – Asterisk can be used when you are providing a source$query in data within the request body ## Request fields (application/json): - `endRow` (number) - `oldValues` (any) - `operationType` (string) - `startRow` (number) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.startRow` (number) - `response.data` (array) - `response.endRow` (number) - `response.totalRows` (number) - `response.status` (number)